%define module  Text-Kakasi
%define name    perl-%{module}
%define version 2.04
%define release %mkrel 7

Name:           %{name}
Version:        %{version}
Release:        %{release}
Summary:        Perl binding for KAKASI the kanji kana simple inverter
License:        GPL
Group:          Development/Perl
URL:            http://search.cpan.org/dist/%{module}
Source:         http://www.cpan.org/modules/by-module/Email/%{module}-%{version}.tar.bz2
Requires:       kakasi >= 2.3.1
BuildRequires:  perl-devel
BuildRequires:  kakasi-devel >= 2.3.1
BuildRequires:  kakasi-dict
BuildRoot:      %{_tmppath}/%{name}-%{version}

%description
This module provides libkakasi interface for perl. libkakasi is a part
of KAKASI.
KAKASI is the language processing filter to convert Kanji characters
to Hiragana, Katakana or Romaji and may be helpful to read Japanese
documents.
More information about KAKASI is available at <http://kakasi.namazu.org/>.


%prep
%setup -q -n %{module}-%{version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make CFLAGS="%{optflags}"

%check
%{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING README README.jp
%{_mandir}/*/*
%{perl_vendorarch}/Text
%{perl_vendorarch}/auto/Text



%changelog
* Thu Jul 31 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.04-7mdv2009.0
+ Revision: 258617
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.04-6mdv2009.0
+ Revision: 246632
- rebuild

* Tue Jan 15 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.04-4mdv2008.1
+ Revision: 152330
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sun Aug 19 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.04-3mdv2008.0
+ Revision: 67087
- rebuild


* Mon Jul 31 2006 Guillaume Rousse <guillomovitch@mandriva.org> 2.04-2mdv2007.0
- spec cleanup
- fix directory ownership

* Fri May 27 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.04-1mdk
- 2.04

* Wed Nov 17 2004 Michael Scherer <misc@mandrake.org> 1.05-7mdk
- Rebuild for new perl

